Bug Hunting Session
Bug 57224 - CONFIGURATION: Deactivated Extensions become active
Summary: CONFIGURATION: Deactivated Extensions become active
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.6.4.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:4.0.0 target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-17 12:25 UTC by Rainer Bielefeld Retired
Modified: 2012-11-24 00:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-11-17 12:25:16 UTC
I found that after an update from LibO 3.6.3.2 release to "LibreOffice 3.6.4.1 rc" German UI/ German Locale [Build-ID: a9a0717] on German WIN7 Home Premium (64bit).

For LibO 3.6.3 I had deactivated Extenison "E-Porto" because for the lots of problems that extension caused. After LibO version Update the Extension was active again.

I am pretty sure that this also is a problem for more early versions, and I don't know whether other extensions are affected - I simply did not test yet.
Comment 1 Stephan Bergmann 2012-11-19 10:51:53 UTC
It indeed appears that disabled-status of extensions gets lost when they are checked for consistency after a LO update has been detected.
Comment 2 Not Assigned 2012-11-19 13:20:57 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f9c3bc8edc93be07273d9de13dda19ea6c1da4a

fdo#57224: Preserve disabled-state across reinstallDeployedExtensions



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-11-19 15:16:09 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05e1e4967a21f3dd5a49215d97df99a7ec84f18

fdo#57224: Fix logic of considering optional/ambiguous value as "disabled"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Stephan Bergmann 2012-11-19 15:37:47 UTC
The above two commits should fix the disabled-status now across a LO update.

Requested backport to libreoffice-3-6 (towards LO 3.6.5, <https://gerrit.libreoffice.org/#/c/1119/>) and libreoffice-3-6-4 (in case of an additional LO 3.6.4 RC build, <https://gerrit.libreoffice.org/#/c/1120/>).
Comment 5 Not Assigned 2012-11-21 16:56:48 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6b955a2316d6943e37406d4a164b97bf85d7b20&g=libreoffice-3-6

fdo#57224: Preserve disabled-state across reinstallDeployedExtensions


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-11-24 00:02:48 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a41b7953f8af0b1d62d111514cd4613f40842e60&g=libreoffice-3-6-4

fdo#57224: Preserve disabled-state across reinstallDeployedExtensions


It will be available already in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.